turf
	icon='Demo.dmi'
	Wall
		density=1
		icon_state="Wall1"
		New()
			icon_state="Wall[rand(1,3)]"
			..()
	Floor
		density=0
		icon_state="Floor"
	New()
		..()
		name=world.name
obj
	icon='Demo.dmi'
	density=1
	Door
		icon_state="Blank"
	New()
		..()
		name=world.name

mob/Player
	density=1
	icon='Demo.dmi'
	Bump(atom/O)
		if(!istype(O,/obj/Door))return //Safety check, sees if the bumped is a door object
		for(var/image/X in src.client.images)
			if(X.loc==locate(x,y+1,z))
				loc=INTITLOC
				for(var/xx=0,xx<=11,xx++)for(var/yy=0,yy<=11,yy++)
					var/image/R=new(file("[X.icon_state].dmi"),locate(SYMX+xx,SYMY+yy,1),"[xx],[yy]",3)
					R.tag="Floor"
					src<<R
				for(var/image/Y in src.client.images)if(Y.tag=="Door")del(Y)
				return
		loc=INTITLOC
		for(var/image/Y in src.client.images)if(Y.tag=="Floor")del(Y)
		Rand_Door()

world
	mob=/mob/Player
	name="Imagery Trickery"
	OpenPort()return 0
var/tmp/list/doorlocs=list("Sun","Moon","Star")

mob/Login()
	..()
	loc=INTITLOC
	Rand_Door()

mob/proc/Rand_Door()
	for(var/i=0,i<=3,i++) doorlocs.Swap(rand(1,3),rand(1,3))//Randomize doors
	for(var/i=1,i<=3,i++)
		var/obj/Door
			O=locate(/obj/Door) in locate(i==1?3:i==2?7:11,13,1)
			R=image('Demo.dmi',O.loc,"[doorlocs[i]]")//Sets the door images
		R.tag="Door"
		src<<R

mob/Del()
	..()
	del src

var
	INTITLOC=locate(7,2,1)
	SYMX=2
	SYMY=1